Subject: Rebasing part of a branch

From: Andy Parkins <[email-masked]>
Date: Thu, 2 Nov 2006 11:45:23 +0100

Hello,

Is there a way to rebase part of a branch?  For example

                        H---I---J topicB
                       /
              E---F---G  topicA
             /
A---B---C---D  master

And I want:

             H---I---J  topicB
            /
            | E---F---G  topicA
            |/
A---B---C---D  master

Of course,
 
 git-checkout topicB
 git-rebase master

Doesn't work, because the common ancestor is D, which is master, and there is 
nothing to do.

Of course I can cherry-pick, but is there something like

 git-rebase --limit topicA master

Or some git-magic I can work?

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIEE